> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 文字转语音

> **适用于**：Chatflow、Workflow、聊天助手、Agent、文本生成应用。

将文字转换为语音。



## OpenAPI

````yaml /zh/api-reference/openapi_service.json post /text-to-audio
openapi: 3.0.1
info:
  title: Dify 服务 API
  description: 用于 Dify 应用与知识库的 REST API。应用类接口使用应用 API 密钥认证，知识库类接口使用知识库 API 密钥认证。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Dify 服务 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 对话消息
    description: 与聊天消息和交互相关的操作。
  - name: 文件操作
    description: 文件上传和预览操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈操作。
  - name: 会话管理
    description: 与管理会话相关的操作。
  - name: 语音与文字转换
    description: 文字转语音和语音转文字操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
  - name: 标注管理
    description: 与管理标注直接回复相关的操作。
  - name: 人工介入
    description: 暂停等待人工输入的工作流恢复操作。
  - name: 工作流运行
    description: 用于执行和管理工作流的操作。
  - name: 文本生成消息
    description: 文本生成相关操作。
  - name: 知识库
    description: 用于管理知识库的操作，包括创建、配置和检索。
  - name: 文档
    description: 用于在知识库中创建、更新和管理文档的操作。
  - name: 分段
    description: 用于管理分段和子分段的操作。
  - name: 元数据
    description: 用于管理知识库元数据字段和文档元数据值的操作。
  - name: 标签
    description: 用于管理知识库标签和标签绑定的操作。
  - name: 模型
    description: 用于获取可用模型的操作。
  - name: 知识流水线
    description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
paths:
  /text-to-audio:
    post:
      tags:
        - 语音与文字转换
      summary: 文字转语音
      description: |-
        **适用于**：Chatflow、Workflow、聊天助手、Agent、文本生成应用。

        将文字转换为语音。
      operationId: basicChatTextToAudioCn
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TextToAudioRequest'
            examples:
              textToAudioExample:
                summary: 请求示例
                value:
                  text: Hello, welcome to our service.
                  user: abc-123
                  voice: alloy
                  streaming: false
      responses:
        '200':
          description: >-
            返回生成的音频文件。`Content-Type` 头设置为音频 MIME 类型（例如
            `audio/wav`、`audio/mp3`）。如果 `streaming` 为 `true`，音频将以分块传输编码方式流式返回。
          content:
            audio/mpeg:
              schema:
                type: string
                format: binary
        '400':
          description: |-
            - `app_unavailable` : 应用不可用或配置错误。
            - `provider_not_initialize` : 未找到有效的模型供应商凭据。
            - `provider_quota_exceeded` : 模型供应商配额已用尽。
            - `model_currently_not_support` : 当前模型不支持此操作。
            - `completion_request_error` : 文字转语音请求失败。
          content:
            application/json:
              examples:
                app_unavailable:
                  summary: app_unavailable
                  value:
                    status: 400
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
                provider_not_initialize:
                  summary: provider_not_initialize
                  value:
                    status: 400
                    code: provider_not_initialize
                    message: >-
                      No valid model provider credentials found. Please go to
                      Settings -> Model Provider to complete your provider
                      credentials.
                provider_quota_exceeded:
                  summary: provider_quota_exceeded
                  value:
                    status: 400
                    code: provider_quota_exceeded
                    message: >-
                      Your quota for Dify Hosted OpenAI has been exhausted.
                      Please go to Settings -> Model Provider to complete your
                      own provider credentials.
                model_currently_not_support:
                  summary: model_currently_not_support
                  value:
                    status: 400
                    code: model_currently_not_support
                    message: >-
                      Dify Hosted OpenAI trial currently not support the GPT-4
                      model.
                completion_request_error:
                  summary: completion_request_error
                  value:
                    status: 400
                    code: completion_request_error
                    message: Completion request failed.
        '500':
          description: '`internal_server_error` : 内部服务器错误。'
          content:
            application/json:
              examples:
                internal_server_error:
                  summary: internal_server_error
                  value:
                    status: 500
                    code: internal_server_error
                    message: Internal server error.
components:
  schemas:
    TextToAudioRequest:
      type: object
      description: 文字转语音的请求体。提供 `message_id` 或 `text` 其中之一。
      properties:
        message_id:
          type: string
          format: uuid
          description: 消息 ID。当同时提供 `text` 时，优先使用消息 ID。
        text:
          type: string
          description: 要转换的语音内容。
        user:
          type: string
          description: 用户标识符。
        voice:
          type: string
          description: >-
            文字转语音使用的声音。可用声音取决于为此应用配置的 TTS
            提供商。使用[获取应用参数](/zh/api-reference/applications/get-app-parameters) →
            `text_to_speech.voice` 中的 `voice` 值作为默认值。
        streaming:
          type: boolean
          description: 是否启用流式响应。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**缺少或无效的 API Key 会返回 HTTP
        `401`，错误码为 `unauthorized`。

````